Bug 1125767 (CVE-2014-5161, CVE-2014-5162) - CVE-2014-5161 CVE-2014-5162 wireshark: Catapult DCT2000 and IrDA dissectors buffer underrun (wnpa-sec-2014-08)
Summary: CVE-2014-5161 CVE-2014-5162 wireshark: Catapult DCT2000 and IrDA dissectors b...
Keywords:
Status: NEW
Alias: CVE-2014-5161, CVE-2014-5162
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140731,repor...
Depends On: 1125768
Blocks: 1125771
TreeView+ depends on / blocked
 
Reported: 2014-08-01 03:10 UTC by Murray McAllister
Modified: 2019-06-08 20:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Murray McAllister 2014-08-01 03:10:45 UTC
It was reported that Wireshark's Catapult DCT2000 and IrDA dissectors could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This is reported to affect Wireshark versions 1.10.0 to 1.10.8. It is fixed in 1.10.9.

External References:

http://www.wireshark.org/security/wnpa-sec-2014-08.html

Comment 1 Murray McAllister 2014-08-01 03:15:18 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1125768]

Comment 2 Fedora Update System 2014-08-07 15:32:23 UTC
wireshark-1.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Huzaifa S. Sidhpurwala 2014-08-20 06:36:51 UTC
Statement:

This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6. This issue affects the version of wireshark as shipped with Red Hat Enterprise Linux 7. A future update may address this issue.


Note You need to log in before you can comment on or make changes to this bug.